------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>27
-- 1.任务4301接任务对白后
-- 设置摄像机指向位置(网格坐标)


-- 设置摄像机指向位置(网格坐标)
if LuaScriptMgr_IsPassionServer() == false then
	CppScriptMgr:SetViewPosByCell(576, 589)
else
	CppScriptMgr:SetViewPosByCell(245, 338)
end	
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

-- 开八门动作
local player = CppScriptMgr:AddSimplePlayer(1053831, 572, 589, "Saizo", 4003000060,1)
if LuaScriptMgr_IsPassionServer() == true then
	player:SetPos(243,339)
end	
player:SetRWeapon(601439, 0, 1)
player:SetLWeapon(601439, 0, 1)
player:SetHair(16, 1)
player:SetBattleLev(300)
-- 设置玩家方向，[0, 7]-八方向
player:SetDir(1)
-- 设置衣服：player:SetArmor(衣服物品type, 神魂type, 更新外观)
-- player:SetArmor(194905, 0, 1)
-- 设置右手武器：player:SetRWeapon(武器物品type, 神魂type, 更新外观)
-- player:SetRWeapon(616439, 0, 1)
-- 设置左手武器：player:SetLWeapon(武器物品type, 神魂type, 更新外观)
-- player:SetLWeapon(616439, 0, 1)

hero:SetPos(576, 589)
if LuaScriptMgr_IsPassionServer() == true then
	hero:SetPos(245, 338)
end	

-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(5)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("You probably know that Ninjas come from Japan.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Saizo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("30 years ago, there was a big war among Ninjas. My teacher Hanzo had to leave Japan. After he taught me everything, he went to a place named Toad Mountain and was killed halfway.\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Saizo", 250, 655)
CppScriptMgr:WaitMilSec(3000)
CppScriptMgr:NpcCallOut("10 years ago, the leader of the Kether Fumataro launched an attack. I retreated to my teacher`s tomb. Over there I found a scroll about the Eight Gates. With just a bit study, I felt my power was surging, which helped me kill enemies.\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Saizo", 250, 655)
CppScriptMgr:WaitMilSec(3000)
-- CppScriptMgr:NpcCallOut("Eight Gates? I`ve never heard of it.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Eight Gates? I`ve never heard of it.", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("So had I. I thought my teacher hid this out of selfishness, but when I killed enemies, my heart hurt so bad that it almost stopped beating.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Saizo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("It`s so powerful!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("It`s so powerful!", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("We saw some strange Ninjas around recently. Maybe the Kether is still coveting the Eight Gates. I think we can find some clues in the funerary goods.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Saizo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("So I hope that you can enter the tomb with me.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Saizo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("I won`t let them take away the scroll of the Eight Gates.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("I won`t let them take away the scroll of the Eight Gates.", 2000)
CppScriptMgr:WaitMilSec(2000)

